{% load static %}
<!DOCTYPE html>
<html lang='en'>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>{{ title }}</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'css/styles.css' %}">
  <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/chartjs-adapter-date-fns"></script>
   <style>
    /* Custom Styles */
    html,
    body {
      height: 100%;
      margin: 0;
      padding: 0;
    }

    .sidebar {
      background-color: #31323b;
      color: #69a7ae;
      min-height: 100vh;
      /* Ensure it covers full height */
    }

    .sidebar .nav-link {
      color: #69a7ae;
    }

    .sidebar .nav-link:hover {
      color: #ffffff;
      /* Change color on hover */
    }

    .content {
      background-color: #f8f9fa;
      padding: 20px;
      min-height: 80vh;
      /* Ensure main content area is tall enough */
    }

    .offcanvas-body .nav-link {
      color: #69a7ae;
    }

    .offcanvas-body .nav-link:hover {
      color: #ffffff;
      /* Change color on hover */
    }

    .footer {
      background-color: #2b2c35;
      color: #ffffff;
      padding: 20px 0;
      position: relative;
      bottom: 0;
      width: 100%;
      text-align: center;
    }

    .navbar-toggler-icon {
      background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255, 255, 255, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    }
  </style>
</head>

<body>

  <nav class="navbar navbar-expand-lg" style="background-color: #2b2c35; color: #69a7ae;">
    <div class="container-fluid">
      <a class="navbar-brand" href="{% url 'index' %}">
        <img src="{% static 'images/logo.png' %}" alt="Logo" width="100" class="d-inline-block align-text-center">
        {{ title }}
      </a>
      <button class="navbar-toggler" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSidebar"
        aria-controls="offcanvasSidebar" aria-expanded="false" aria-label="Toggle navigation"
        style="border-color: white; background-color: #32333d;">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item">
            <a class="nav-link active text-light" aria-current="page" href="{% url 'index' %}">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link text-light" href="{% url 'about' %}">About</a>
          </li>
          <form class="d-flex align-self-right" role="search">
            <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success" type="submit">&#x1F50D;</button>
          </form>
        </ul>

        <ul class="navbar-nav ms-auto ">
          {% if user.is_authenticated%}
          <li class="nav-item">
            <a class="nav-link text-light" href="{% url 'signout' %}">Logout</a>
          </li>
          {% else %}
          <li class="nav-item">
            <a class="nav-link text-light" href="{% url 'signin' %}">Login/Signup</a>
          </li>
          {% endif %}
        </ul>

      </div>
    </div>
  </nav>


  <!-- Offcanvas Sidebar for smaller screens -->
  <div class="offcanvas offcanvas-start" tabindex="-1" id="offcanvasSidebar" aria-labelledby="offcanvasSidebarLabel">
    <div class="offcanvas-header">
      <h5 class="offcanvas-title" id="offcanvasSidebarLabel">Menu</h5>
      <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
    </div>
    <div class="offcanvas-body">
      <ul class="nav flex-column">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="{% url 'signup' %}"><b>Login/Signup</b></a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="{% url 'index' %}"><b>Home</b></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'about' %}"><b>About</b></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#"><b>User</b></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'temperature' %}"><b>Table</b></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'test' %}"><b>RT-data</b></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'sensors' %}"><b>Nodes</b></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'createNode' %}"><b>Create Nodes</b></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'rtplot' %}"><b>RealTimePlot</b></a>
        </li>
      </ul>
    </div>
  </div>

  <div class="container-fluid">
    <div class="row">
      <!-- Sidebar for larger screens -->
      <nav class="col-lg-2 col-md-3 d-none d-md-block sidebar">
        <div class="position-sticky">
          <br>
          <ul class="nav flex-column">
            <li class="nav-item">
              <a class="nav-link" href="{% url 'temperature' %}"><b>Table</b></a>
            </li>
            <br>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'test' %}"><b>RT-data</b></a>
            </li>
            <br>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'sensors' %}"><b>Nodes</b></a>
            </li>
            <br>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'createNode' %}"><b>Create Nodes</b></a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'rtplot' %}"><b>RealTimePlot</b></a>
            </li>
          </ul>
        </div>
      </nav>

      <!-- Main content area -->
      <main class="col-lg-10 col-md-9 ms-sm-auto col-lg-10 px-md-4 content">
        {% if messages %}
        {% for message in messages %}
        <div class="alert {{ message.tags }} alert-dismissible fade show" role="alert">
          <div class="alert alert-success" role="alert">
            {{ message }}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
          </div>
        </div>
        {% endfor %}
        {% endif %}
        {% block content %}

        {% endblock %}
      </main>
    </div>
  </div>

  <footer class="bd-footer text-">
    <div class="container py-1 py-md-2 px-1 px-md-1">
      <div class="row">
        <div class="col-lg-3 mb-1">
          <a class="navbar-brand" href="{% url 'index' %}">
            <img src="{% static 'images/logo.png' %}" alt="Logo" width="100" class="d-inline-block align-text-center">
            {{ title }}
          </a>
          <ul class="list-unstyled small">
            <li class="mb-2">IoT Plataforma Web</li>
            <li class="mb-2">Code licensed <a href="https://www.pucv.cl/" target="_blank" rel="license noopener"><button
                  type="button" class="btn"
                  style="color: #69a7ae; border: none; vertical-align: top; padding: 0;">PUCV</button></a>, docs <a
                href="https://nave13.ucv.cl/" target="_blank" rel="license noopener"><button type="button" class="btn"
                  style="color: #69a7ae; border: none; vertical-align: top; padding: 0;">curso IoT</button></a>.</li>
            <li class="mb-2">Currently v1.0</li>
          </ul>
        </div>


        <div class="col-6 col-lg-2 offset-lg-1 mb-1">
          <h5>Links</h5>
          <ul class="list-unstyled">
            <li><a href="{% url 'index' %}"><button type="button" class="btn" style="color: #69a7ae;">Home</button></a>
            </li>
            <li><a href="{% url 'about' %}"><button type="button" class="btn" style="color: #69a7ae;">About</button></a>
            </li>
          </ul>
        </div>
        <div class="col-6 col-lg-2 mb-1">
          <h5>Sensors</h5>
          <ul class="list-unstyled">
            <li><a href="{% url 'temperature' %}"><button type="button" class="btn"
                  style="color: #69a7ae;">Table</button></a></li>
            <li></li><a href="{% url 'test' %}"><button type="button" class="btn"
                style="color: #69a7ae;">RT-Data</button></a></li>
            <li></li><a href="{% url 'sensors' %}"><button type="button" class="btn"
                style="color: #69a7ae;">Nodes</button></a></li>
          </ul>
        </div>
        <div class="col-6 col-lg-2 mb-1">
          <h5>info</h5>
          <ul class="list-unstyled">
            <li><a href="#"><button type="button" class="btn" style="color: #69a7ae;">Contacts</button></a></li>
          </ul>
        </div>
        <div class="col-6 col-lg-2 mb-1">
          <!-- Placeholder for additional links or information -->
        </div>
      </div>
    </div>
  </footer>

  {% if times_1 %}
  <script>
    var times_1 = {{ times_1| safe }};
    var data_1 = {{ data_1| safe }};
    var times_2 = {{ times_2| safe }};
    var data_2 = {{ data_2| safe }};
    var times_3 = {{ times_3| safe }};
    var data_3 = {{ data_3| safe }};
    var times_4 = {{ times_4| safe }};
    var data_4 = {{ data_4| safe }};
  </script>
  <script src="{% static 'js/plot.js' %}" defer></script>
  {% endif %}

  {% if callWebsocket %}
  <script type="text/javascript">
    // Pass the WebSocket host to a global JavaScript variable
    var ws_host = "{{ ws_host }}";
</script>
  {% endif %}

  {% if callWebsocket %}
  <script src="{% static 'js/rtPlot.js' %}" defer></script>
  {% endif %}


  <script>
    document.addEventListener('DOMContentLoaded', function () {
        setTimeout(function() {
            const alerts = document.querySelectorAll('.alert');
            alerts.forEach(alert => alert.style.display = 'none');
        }, 5000);
    });
    </script>
    

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-u1OknCvxWvY5kfmNBILK2hRnQC3Pr17a+RTT6rIHI7NnikvbZlHgTPOOmMi466C8"
    crossorigin="anonymous"></script>

</body>

</html>